import request from "@/utils/request";

// 查询盘点调拨列表
export function justList(query) {
  return request({
    url: "/sfa/materialInventory/adjustList",
    method: "get",
    params: query,
  });
}
export function adjustList(query) {
  return request({
    url: "/system/dept/adjustList",
    method: "get",
    params: query,
  });
}

// 盘点调拨
export function updateChange(data) {
  return request({
    url: "/sfa/materialInventory/change",
    method: "put",
    data: data,
  });
}
export function materialInventory(data) {
  return request({
    url: "/sfa/materialInventory",
    method: "post",
    data: data,
  });
}
// 下载分发任务模板
export function importTemplate(data) {
  return request({
    url: "/sfa/materialInventory/importTemplate",
    method: "post",
    data: data,
  });
}
// 根据发放类型和库位代码，查询组织机构或者业务员接口
export function selectAllOrganization(query) {
  return request({
    url: "/sfa/materialInventory/selectAllOrganization",
    method: "get",
    params: query,
  });
}

// 保存分发物料接口
export function addGrantMaterialInventory(data) {
  return request({
    url: "/sfa/materialInventory/addGrantMaterialInventory",
    method: "post",
    data: data,
  });
}
